=== modified file 'wiki/admin.py'
--- wiki/admin.py	2016-12-18 19:34:07 +0000
+++ wiki/admin.py	2016-12-19 07:33:38 +0000
@@ -15,7 +15,7 @@
 
 class ArticleAdmin(admin.ModelAdmin):
     search_fields = ['title']
-    list_display = ('title', 'markup', 'created_at', 'last_update',)
+    list_display = ('title', 'creator', 'last_update',)
     list_filter = ('title',)
     ordering = ['-last_update']
     fieldsets = (
@@ -32,11 +32,11 @@
 
 
 class ChangeSetAdmin(admin.ModelAdmin):
-    search_fields = ['article__title']
+    search_fields = ['old_title']
     list_display = ('article', 'old_title', 'old_markup',
                     'editor', 'reverted', 'modified',
                     'comment')
-    list_filter = ('old_title',)
+    list_filter = ('article__title',)
     ordering = ('-modified',)
     fieldsets = (
         ('Article', {'fields': ('article',)}),

=== modified file 'wiki/models.py'
--- wiki/models.py	2016-12-18 14:02:27 +0000
+++ wiki/models.py	2016-12-19 07:33:38 +0000
@@ -48,7 +48,7 @@
 
 
 class Article(models.Model):
-    """A wiki page."""
+    """A wiki page reflecting the actual revision."""
     title = models.CharField(_(u"Title"), max_length=50, unique=True)
     content = models.TextField(_(u"Content"))
     summary = models.CharField(_(u"Summary"), max_length=150,

